View Issue Details

IDProjectCategoryView StatusLast Update
16035Bug reportsInstallationpublic2020-04-16 13:47
Reporterftrutzenberg Assigned To 
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.1.11 
Summary16035: Cannot get past Administrator settings page while installing Limesurvey4.1.12 locally (not 4.1.11)
Description

Hello!

I am trying to install Limesurvey 4.1.12 locally on my MacBook Air i5 (OS 10.14.5) using MAMP (Version 5.6. (394)).

However, all attempts to install Limesurvey fail when proceeding from the Administrator settings page, yielding error messages like

"Safari can't open the page "localhost:8888/limesurvey/index.php?r=installer/optional" because the server unexpectedly dropped the connection. This sometimes occurs when the server is busy. Wait for a few minutes and then try again"

in Safari or

"The connection to the server was reset while the page was loading. The site could be temporarily unavailable or too busy. Try again in a few moments. If you are unable to load any pages, check your computer’s network connection. If your computer or network is protected by a firewall or proxy, make sure that Firefox is permitted to access the Web."

in Firefox, despite perfect WiFi connection and despite the pre-installation check stating that all the necessary requirements are met.

These error messages do sometimes also appear when proceeding from earlier installation steps, however always only temporarily. The page "Administrator settings", however, is not to overcome…

Steps To Reproduce

Multiple times, I have undertaken the following steps:

I downloaded limesurvey4.1.12+200324.zip.
I downloaded and installed MAMP Version 5.6. (394).
I opened MAMP and started the servers.
In the appearing phpMyAdmin page, I created a new database called "limesurvey" under the tab "Databases".
I moved the unzipped limesurvey folder to the folder Applications -> MAMP -> htdocs.
I opened a new browser window and opened the page "localhost:8888/limesurvey".
I followed the installation instructions, entering "root" as username and password for the database and "limesurvey" as its name.
On the "Administrator Settings" page, I either left the default entries or entered my own credentials - in any case, proceeding from this page yielded the error messages.

TagsNo tags attached.
Complete LimeSurvey version number (& build)limesurvey4.1.12+200324.zip
I will donate to the project if issue is resolvedNo
BrowserSafari & Firefox
Database & DB-Versionunkown
Server OS (if known)local server (MAMP)
Webserver software & version (if known)
PHP Version7.4.1

Activities

ftrutzenberg

ftrutzenberg

2020-04-10 17:33

reporter   ~57080

As I have got a deadline approaching, my problem unfortunately starts to become slightly urgent.
Is there anybody who is familiar with such issues and who could give me a little hint?
Thank you very much in advance!!

DenisChenu

DenisChenu

2020-04-13 09:38

developer   ~57087

Server related issue ...

ftrutzenberg

ftrutzenberg

2020-04-13 11:31

reporter   ~57095

So you'd recommend me to update the MAMP software?

DenisChenu

DenisChenu

2020-04-13 12:02

developer   ~57097

Didn't know .

Maybe related to a broken link between SQL and web server.

But remind MAMP is done for testing purpose only, is not secure enough.

ftrutzenberg

ftrutzenberg

2020-04-13 12:03

reporter   ~57098

Solved!!
Thank you very much!!

Issue History

Date Modified Username Field Change
2020-03-24 19:55 ftrutzenberg New Issue
2020-04-10 17:33 ftrutzenberg Note Added: 57080
2020-04-13 09:38 DenisChenu Note Added: 57087
2020-04-13 11:31 ftrutzenberg Note Added: 57095
2020-04-13 12:02 DenisChenu Note Added: 57097
2020-04-13 12:03 ftrutzenberg Note Added: 57098
2020-04-16 13:47 ollehar Status new => closed
2020-04-16 13:47 ollehar Resolution open => fixed